<?php
require_once('wp-load.php');
require_once(ABSPATH.'wp-admin/includes/user.php' );

$data = file_get_contents('php://input');
$data = json_decode($data); 
$user_login = $data->user_login; 
$user_pass =  $data->user_pass;
$user_email = $data->user_email;
$first_name = $data->first_name;
$last_name = $data->last_name;
$user_id = $data->user_id;
$display_name = $first_name. " ". $last_name;
$billing_phone = $data->phone;
if (!$user_login) {
    $data = ['code' => 400,'message'  => 'User Name is required.' ];
    echo json_encode($data);
}
else if (!$user_email) {
    $data = ['code' => 400,'message'  => 'Email is required.' ];
    echo json_encode($data);
}
else if(!filter_var($user_email, FILTER_VALIDATE_EMAIL))
{
    $data = ['code' => 400,'message'  => 'Email is invalid.' ];
	echo json_encode($data);
}
else if (!$user_pass) {
    $data = ['code' => 400,'message'  => 'Password is required.' ];
    echo json_encode($data);
}
else if (!$first_name) {
    $data = ['code' => 400,'message'  => 'First Name is required.' ];
    echo json_encode($data);
}
else if (!$last_name) {
    $data = ['code' => 400,'message'  => 'Last Name is required.' ];
    echo json_encode($data);
}
else if (!$user_id) {
    $data = ['code' => 400,'message'  => 'User ID is required.' ];
    echo json_encode($data);
}
else 
{
    $result = wp_insert_user( array(
        'user_login' => $user_login,
        'user_pass' => $user_pass,
        'user_email' => $user_email,
        'first_name' => $first_name,
        'last_name' => $last_name,
        'display_name' => $display_name,
        'role' => 'customer'
  ));

  if(is_wp_error($result)){
    $error = $result->get_error_message();
    $data = ['code' => 400,'message'  => $error ];
	echo json_encode($data);
  }else{
    $user = get_user_by('id', $result);
    update_user_meta($user->ID, 'EP_user_id', $user_id);
    update_user_meta($user->ID, 'billing_phone', $billing_phone );
    $data = ['code' => 200, 'message' => 'User Created Successfully!', 'user_info'  => $user ];
	echo json_encode($data);
  }
}
